Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net
Class Priority

    java.lang.Object
      org.apache.logging.log4j.core.net.Priority

    public class Priority

extends Object

The Priority used in the Syslog system. Calculated from the Facility and Severity values.

Constructor Summary
`Priority(Facility facility, Severity severity)` The Constructor.

Method Summary
`Facility` | `getFacility()` Returns the Facility.
`static int` | `getPriority(Facility facility, org.apache.logging.log4j.Level level)` Returns the priority value based on the Facility and Log Level.
`Severity` | `getSeverity()` Returns the Severity.
`int` | `getValue()` Returns the value of this Priority.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Priority

    public Priority(Facility facility,
                    Severity severity)

  The Constructor.

  Parameters:
    `facility` - The Facility.
    `severity` - The Severity.

Method Detail

### getPriority

    public static int getPriority(Facility facility,
                                  org.apache.logging.log4j.Level level)

  Returns the priority value based on the Facility and Log Level.

  Parameters:
    `facility` - The Facility.
    `level` - The Level.
  Returns:
    The integer value of the priority.

### getFacility

    public Facility getFacility()

  Returns the Facility.

  Returns:
    the Facility.

### getSeverity

    public Severity getSeverity()

  Returns the Severity.

  Returns:
    the Severity.

### getValue

    public int getValue()

  Returns the value of this Priority.

  Returns:
    the value of this Priority.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.